using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleChartSample
{
    class SimpleSample:ContentPage
    {
        public SimpleSample()
        {
            Content = GetChart();
        }

        private static SfChart GetChart()
        {
            SfChart chart = new SfChart();
	    Font font = Device.OnPlatform(
				iOS:      Font.OfSize ("MarkerFelt-Thin", 18),
				Android:  Font.OfSize ("Droid Sans Mono", 18),
				WinPhone: Font.OfSize ("Comic Sans MS", 18)
		);
	    chart.Title = new ChartTitle(){ Text = " Chart Header",Font =font};

            chart.BackgroundColor = Color.Green;
            chart.VerticalOptions = LayoutOptions.FillAndExpand;
            chart.HorizontalOptions = LayoutOptions.FillAndExpand;

            chart.PrimaryAxis = new CategoryAxis();
            chart.SecondaryAxis = new NumericalAxis();

            SplineSeries pointsSeries = new SplineSeries();
	Color color = Color.Gray;
	pointsSeries.Color = Device.OnPlatform (Color.FromRgba (color.R / 255, color.G, color.B / 255, color.A / 255), color, color);



            ObservableCollection<ChartDataPoint> cdps=new ObservableCollection<ChartDataPoint>();

            for (int x = 0; x < 5; x++)
            {
                cdps.Add(new ChartDataPoint("cat" + x.ToString(), x));
            }

            pointsSeries.ItemsSource = cdps;
            pointsSeries.StrokeColor = Color.Maroon;
            pointsSeries.StrokeWidth = 3;

            chart.Series.Add(pointsSeries);

            return chart;
        }
    }
}
